// Global styling for this template
body {
  overflow-x: hidden;
  @include body-font;
}

p {
  line-height: 1.75;
  font-weight: 300;
}

a {
  color: $primary;
  &:hover {
    color: darken($primary, 10%);
  }
}

.text-primary {
  color: $primary !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 300;
  @include heading-font;
}

section {
  padding: 100px 0;
  h2.section-heading {
    font-size: 40px;
    margin-top: 0;
    margin-bottom: 15px;
  }
  h3.section-subheading {
    font-size: 16px;
    font-weight: 400;
    font-style: italic;
    margin-bottom: 30px;
    text-transform: none;
  }
}
.tilted-border {
  background-color: $gray-100;
}
@media(min-width:768px) {
  section {
    padding: 150px 0;
  }
  .tilted-border {
    position: relative;
    background-color: $gray-100;
    &::after {
      content: '';
      position: absolute;
      display: inline-block;
      width: 10px;
      top: 0;
      left: 0;
      height: 100%;
      // background: linear-gradient(45deg, transparent,transparent 50%, $primary 50%, $primary);
      background: $primary;
      // transform: rotate(15deg);
    }
  }
}

// Button Styles
.btn {
  @include heading-font;
  font-weight: 700;
}

.btn-xl {
  font-size: 18px;
  padding: 20px 40px;
}

.btn-primary {
  background-color: $primary;
  border-color: $primary;
  &:active,
  &:focus,
  &:hover {
    background-color: darken($primary, 7.5%) !important;
    border-color: darken($primary, 7.5%) !important;
    color: white;
  }
  &:active,
  &:focus {
    box-shadow: 0 0 0 0.2rem lighten($primary, 5%) !important;
  }
}

// Highlight color customization
::-moz-selection {
  background: $primary;
  color: $gray-100;
  text-shadow: none;
}

::selection {
  background: $primary;
  color: $gray-100;
  text-shadow: none;
}

img::selection {
  background: transparent;
}

img::-moz-selection {
  background: transparent;
}
.special {
  color: $gray-600;
  font-size: 3em;
  font-weight: 700;
}
.sub-special {
  font-size: 2em;
  font-weight: 300;
  color: $primary;
}
.nav-tabs {
  border: none;
  // border: 1px solid #868e96;
  .nav-link {
    border-radius: 0;
    font-size: 1.2rem;
    text-transform: uppercase;
    border: none;
    border-bottom: 3px solid transparent;
    &.active {
      border-color: $primary;
      background-color: $primary;
      // background-image: linear-gradient(135deg, transparent, transparent 20%, $primary 20%, $primary 80%, transparent 80%, transparent);
      color: #fff;
    }
  }
}
@media screen and (min-width: 576px) {
  .special {
    font-size: 4em;
  }
  .sub-special {
    font-size: 3em;
  }
}
@media screen and (min-width: 992px) {
  .special {
    font-size: 5em;
  }
  .sub-special {
    font-size: 4em;
  }
}
@media screen and (min-width: 1440px) {
  .special {
    font-size: 6em;
  }
  .sub-special {
    font-size: 5em;
  }
}
.owl-carousel {
  position: relative;
  padding-top: 50px;
  .owl-nav {
    display: none;
  }
  .owl-dots {
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
  }
}
.minh-100 {
  min-height: calc(100vh - 54px);
}